	.file	"asm-offsets.c"
	.text
	.p2align	5                               # -- Begin function output_ptreg_defines
	.type	output_ptreg_defines,@function
output_ptreg_defines:                   # @output_ptreg_defines
# %bb.0:
	#APP

	.ascii	"->#LoongArch pt_regs offsets."
	#NO_APP
	#APP

	.ascii	"->PT_R0 0 offsetof(struct pt_regs, regs[0])"
	#NO_APP
	#APP

	.ascii	"->PT_R1 8 offsetof(struct pt_regs, regs[1])"
	#NO_APP
	#APP

	.ascii	"->PT_R2 16 offsetof(struct pt_regs, regs[2])"
	#NO_APP
	#APP

	.ascii	"->PT_R3 24 offsetof(struct pt_regs, regs[3])"
	#NO_APP
	#APP

	.ascii	"->PT_R4 32 offsetof(struct pt_regs, regs[4])"
	#NO_APP
	#APP

	.ascii	"->PT_R5 40 offsetof(struct pt_regs, regs[5])"
	#NO_APP
	#APP

	.ascii	"->PT_R6 48 offsetof(struct pt_regs, regs[6])"
	#NO_APP
	#APP

	.ascii	"->PT_R7 56 offsetof(struct pt_regs, regs[7])"
	#NO_APP
	#APP

	.ascii	"->PT_R8 64 offsetof(struct pt_regs, regs[8])"
	#NO_APP
	#APP

	.ascii	"->PT_R9 72 offsetof(struct pt_regs, regs[9])"
	#NO_APP
	#APP

	.ascii	"->PT_R10 80 offsetof(struct pt_regs, regs[10])"
	#NO_APP
	#APP

	.ascii	"->PT_R11 88 offsetof(struct pt_regs, regs[11])"
	#NO_APP
	#APP

	.ascii	"->PT_R12 96 offsetof(struct pt_regs, regs[12])"
	#NO_APP
	#APP

	.ascii	"->PT_R13 104 offsetof(struct pt_regs, regs[13])"
	#NO_APP
	#APP

	.ascii	"->PT_R14 112 offsetof(struct pt_regs, regs[14])"
	#NO_APP
	#APP

	.ascii	"->PT_R15 120 offsetof(struct pt_regs, regs[15])"
	#NO_APP
	#APP

	.ascii	"->PT_R16 128 offsetof(struct pt_regs, regs[16])"
	#NO_APP
	#APP

	.ascii	"->PT_R17 136 offsetof(struct pt_regs, regs[17])"
	#NO_APP
	#APP

	.ascii	"->PT_R18 144 offsetof(struct pt_regs, regs[18])"
	#NO_APP
	#APP

	.ascii	"->PT_R19 152 offsetof(struct pt_regs, regs[19])"
	#NO_APP
	#APP

	.ascii	"->PT_R20 160 offsetof(struct pt_regs, regs[20])"
	#NO_APP
	#APP

	.ascii	"->PT_R21 168 offsetof(struct pt_regs, regs[21])"
	#NO_APP
	#APP

	.ascii	"->PT_R22 176 offsetof(struct pt_regs, regs[22])"
	#NO_APP
	#APP

	.ascii	"->PT_R23 184 offsetof(struct pt_regs, regs[23])"
	#NO_APP
	#APP

	.ascii	"->PT_R24 192 offsetof(struct pt_regs, regs[24])"
	#NO_APP
	#APP

	.ascii	"->PT_R25 200 offsetof(struct pt_regs, regs[25])"
	#NO_APP
	#APP

	.ascii	"->PT_R26 208 offsetof(struct pt_regs, regs[26])"
	#NO_APP
	#APP

	.ascii	"->PT_R27 216 offsetof(struct pt_regs, regs[27])"
	#NO_APP
	#APP

	.ascii	"->PT_R28 224 offsetof(struct pt_regs, regs[28])"
	#NO_APP
	#APP

	.ascii	"->PT_R29 232 offsetof(struct pt_regs, regs[29])"
	#NO_APP
	#APP

	.ascii	"->PT_R30 240 offsetof(struct pt_regs, regs[30])"
	#NO_APP
	#APP

	.ascii	"->PT_R31 248 offsetof(struct pt_regs, regs[31])"
	#NO_APP
	#APP

	.ascii	"->PT_CRMD 280 offsetof(struct pt_regs, csr_crmd)"
	#NO_APP
	#APP

	.ascii	"->PT_PRMD 288 offsetof(struct pt_regs, csr_prmd)"
	#NO_APP
	#APP

	.ascii	"->PT_EUEN 296 offsetof(struct pt_regs, csr_euen)"
	#NO_APP
	#APP

	.ascii	"->PT_ECFG 304 offsetof(struct pt_regs, csr_ecfg)"
	#NO_APP
	#APP

	.ascii	"->PT_ESTAT 312 offsetof(struct pt_regs, csr_estat)"
	#NO_APP
	#APP

	.ascii	"->PT_ERA 264 offsetof(struct pt_regs, csr_era)"
	#NO_APP
	#APP

	.ascii	"->PT_BVADDR 272 offsetof(struct pt_regs, csr_badvaddr)"
	#NO_APP
	#APP

	.ascii	"->PT_ORIG_A0 256 offsetof(struct pt_regs, orig_a0)"
	#NO_APP
	#APP

	.ascii	"->PT_SIZE 320 sizeof(struct pt_regs)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end0:
	.size	output_ptreg_defines, .Lfunc_end0-output_ptreg_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_task_defines
	.type	output_task_defines,@function
output_task_defines:                    # @output_task_defines
# %bb.0:
	#APP

	.ascii	"->#LoongArch task_struct offsets."
	#NO_APP
	#APP

	.ascii	"->TASK_STATE 0 offsetof(struct task_struct, __state)"
	#NO_APP
	#APP

	.ascii	"->TASK_THREAD_INFO 8 offsetof(struct task_struct, stack)"
	#NO_APP
	#APP

	.ascii	"->TASK_FLAGS 20 offsetof(struct task_struct, flags)"
	#NO_APP
	#APP

	.ascii	"->TASK_MM 1720 offsetof(struct task_struct, mm)"
	#NO_APP
	#APP

	.ascii	"->TASK_PID 1840 offsetof(struct task_struct, pid)"
	#NO_APP
	#APP

	.ascii	"->TASK_STACK_CANARY 1848 offsetof(struct task_struct, stack_canary)"
	#NO_APP
	#APP

	.ascii	"->TASK_STRUCT_SIZE 4928 sizeof(struct task_struct)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end1:
	.size	output_task_defines, .Lfunc_end1-output_task_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_thread_info_defines
	.type	output_thread_info_defines,@function
output_thread_info_defines:             # @output_thread_info_defines
# %bb.0:
	#APP

	.ascii	"->#LoongArch thread_info offsets."
	#NO_APP
	#APP

	.ascii	"->TI_TASK 0 offsetof(struct thread_info, task)"
	#NO_APP
	#APP

	.ascii	"->TI_FLAGS 8 offsetof(struct thread_info, flags)"
	#NO_APP
	#APP

	.ascii	"->TI_TP_VALUE 16 offsetof(struct thread_info, tp_value)"
	#NO_APP
	#APP

	.ascii	"->TI_CPU 24 offsetof(struct thread_info, cpu)"
	#NO_APP
	#APP

	.ascii	"->TI_PRE_COUNT 28 offsetof(struct thread_info, preempt_count)"
	#NO_APP
	#APP

	.ascii	"->TI_REGS 32 offsetof(struct thread_info, regs)"
	#NO_APP
	#APP

	.ascii	"->_THREAD_SIZE 16384 THREAD_SIZE"
	#NO_APP
	#APP

	.ascii	"->_THREAD_MASK 16383 THREAD_MASK"
	#NO_APP
	#APP

	.ascii	"->_IRQ_STACK_SIZE 16384 IRQ_STACK_SIZE"
	#NO_APP
	#APP

	.ascii	"->_IRQ_STACK_START 16368 IRQ_STACK_START"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end2:
	.size	output_thread_info_defines, .Lfunc_end2-output_thread_info_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_thread_defines
	.type	output_thread_defines,@function
output_thread_defines:                  # @output_thread_defines
# %bb.0:
	#APP

	.ascii	"->#LoongArch specific thread_struct offsets."
	#NO_APP
	#APP

	.ascii	"->THREAD_REG01 3392 offsetof(struct task_struct, thread.reg01)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG03 3400 offsetof(struct task_struct, thread.reg03)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG22 3408 offsetof(struct task_struct, thread.reg22)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG23 3416 offsetof(struct task_struct, thread.reg23)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG24 3424 offsetof(struct task_struct, thread.reg24)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG25 3432 offsetof(struct task_struct, thread.reg25)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG26 3440 offsetof(struct task_struct, thread.reg26)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG27 3448 offsetof(struct task_struct, thread.reg27)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG28 3456 offsetof(struct task_struct, thread.reg28)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG29 3464 offsetof(struct task_struct, thread.reg29)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG30 3472 offsetof(struct task_struct, thread.reg30)"
	#NO_APP
	#APP

	.ascii	"->THREAD_REG31 3480 offsetof(struct task_struct, thread.reg31)"
	#NO_APP
	#APP

	.ascii	"->THREAD_SCHED_RA 3488 offsetof(struct task_struct, thread.sched_ra)"
	#NO_APP
	#APP

	.ascii	"->THREAD_SCHED_CFA 3496 offsetof(struct task_struct, thread.sched_cfa)"
	#NO_APP
	#APP

	.ascii	"->THREAD_CSRCRMD 3512 offsetof(struct task_struct, thread.csr_crmd)"
	#NO_APP
	#APP

	.ascii	"->THREAD_CSRPRMD 3504 offsetof(struct task_struct, thread.csr_prmd)"
	#NO_APP
	#APP

	.ascii	"->THREAD_CSREUEN 3520 offsetof(struct task_struct, thread.csr_euen)"
	#NO_APP
	#APP

	.ascii	"->THREAD_CSRECFG 3528 offsetof(struct task_struct, thread.csr_ecfg)"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPU 3584 offsetof(struct task_struct, thread.fpu)"
	#NO_APP
	#APP

	.ascii	"->THREAD_BVADDR 3536 offsetof(struct task_struct, thread.csr_badvaddr)"
	#NO_APP
	#APP

	.ascii	"->THREAD_ECODE 3552 offsetof(struct task_struct, thread.error_code)"
	#NO_APP
	#APP

	.ascii	"->THREAD_TRAPNO 3544 offsetof(struct task_struct, thread.trap_nr)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end3:
	.size	output_thread_defines, .Lfunc_end3-output_thread_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_thread_fpu_defines
	.type	output_thread_fpu_defines,@function
output_thread_fpu_defines:              # @output_thread_fpu_defines
# %bb.0:
	#APP

	.ascii	"->THREAD_FPR0 16 offsetof(struct loongarch_fpu, fpr[0])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR1 48 offsetof(struct loongarch_fpu, fpr[1])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR2 80 offsetof(struct loongarch_fpu, fpr[2])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR3 112 offsetof(struct loongarch_fpu, fpr[3])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR4 144 offsetof(struct loongarch_fpu, fpr[4])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR5 176 offsetof(struct loongarch_fpu, fpr[5])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR6 208 offsetof(struct loongarch_fpu, fpr[6])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR7 240 offsetof(struct loongarch_fpu, fpr[7])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR8 272 offsetof(struct loongarch_fpu, fpr[8])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR9 304 offsetof(struct loongarch_fpu, fpr[9])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR10 336 offsetof(struct loongarch_fpu, fpr[10])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR11 368 offsetof(struct loongarch_fpu, fpr[11])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR12 400 offsetof(struct loongarch_fpu, fpr[12])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR13 432 offsetof(struct loongarch_fpu, fpr[13])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR14 464 offsetof(struct loongarch_fpu, fpr[14])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR15 496 offsetof(struct loongarch_fpu, fpr[15])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR16 528 offsetof(struct loongarch_fpu, fpr[16])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR17 560 offsetof(struct loongarch_fpu, fpr[17])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR18 592 offsetof(struct loongarch_fpu, fpr[18])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR19 624 offsetof(struct loongarch_fpu, fpr[19])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR20 656 offsetof(struct loongarch_fpu, fpr[20])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR21 688 offsetof(struct loongarch_fpu, fpr[21])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR22 720 offsetof(struct loongarch_fpu, fpr[22])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR23 752 offsetof(struct loongarch_fpu, fpr[23])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR24 784 offsetof(struct loongarch_fpu, fpr[24])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR25 816 offsetof(struct loongarch_fpu, fpr[25])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR26 848 offsetof(struct loongarch_fpu, fpr[26])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR27 880 offsetof(struct loongarch_fpu, fpr[27])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR28 912 offsetof(struct loongarch_fpu, fpr[28])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR29 944 offsetof(struct loongarch_fpu, fpr[29])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR30 976 offsetof(struct loongarch_fpu, fpr[30])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FPR31 1008 offsetof(struct loongarch_fpu, fpr[31])"
	#NO_APP
	#APP

	.ascii	"->THREAD_FCSR 8 offsetof(struct loongarch_fpu, fcsr)"
	#NO_APP
	#APP

	.ascii	"->THREAD_FCC 0 offsetof(struct loongarch_fpu, fcc)"
	#NO_APP
	#APP

	.ascii	"->THREAD_FTOP 12 offsetof(struct loongarch_fpu, ftop)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end4:
	.size	output_thread_fpu_defines, .Lfunc_end4-output_thread_fpu_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_thread_lbt_defines
	.type	output_thread_lbt_defines,@function
output_thread_lbt_defines:              # @output_thread_lbt_defines
# %bb.0:
	#APP

	.ascii	"->THREAD_SCR0 0 offsetof(struct loongarch_lbt, scr0)"
	#NO_APP
	#APP

	.ascii	"->THREAD_SCR1 8 offsetof(struct loongarch_lbt, scr1)"
	#NO_APP
	#APP

	.ascii	"->THREAD_SCR2 16 offsetof(struct loongarch_lbt, scr2)"
	#NO_APP
	#APP

	.ascii	"->THREAD_SCR3 24 offsetof(struct loongarch_lbt, scr3)"
	#NO_APP
	#APP

	.ascii	"->THREAD_EFLAGS 32 offsetof(struct loongarch_lbt, eflags)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end5:
	.size	output_thread_lbt_defines, .Lfunc_end5-output_thread_lbt_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_mm_defines
	.type	output_mm_defines,@function
output_mm_defines:                      # @output_mm_defines
# %bb.0:
	#APP

	.ascii	"->#Size of struct page"
	#NO_APP
	#APP

	.ascii	"->STRUCT_PAGE_SIZE 64 sizeof(struct page)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->#Linux mm_struct offsets."
	#NO_APP
	#APP

	.ascii	"->MM_USERS 116 offsetof(struct mm_struct, mm_users)"
	#NO_APP
	#APP

	.ascii	"->MM_PGD 104 offsetof(struct mm_struct, pgd)"
	#NO_APP
	#APP

	.ascii	"->MM_CONTEXT 1248 offsetof(struct mm_struct, context)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->_PGD_T_SIZE 8 sizeof(pgd_t)"
	#NO_APP
	#APP

	.ascii	"->_PMD_T_SIZE 8 sizeof(pmd_t)"
	#NO_APP
	#APP

	.ascii	"->_PTE_T_SIZE 8 sizeof(pte_t)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->_PGD_T_LOG2 3 PGD_T_LOG2"
	#NO_APP
	#APP

	.ascii	"->_PMD_T_LOG2 3 PMD_T_LOG2"
	#NO_APP
	#APP

	.ascii	"->_PTE_T_LOG2 3 PTE_T_LOG2"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->_PMD_SHIFT 25 PMD_SHIFT"
	#NO_APP
	#APP

	.ascii	"->_PGDIR_SHIFT 36 PGDIR_SHIFT"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->_PTRS_PER_PGD 2048 PTRS_PER_PGD"
	#NO_APP
	#APP

	.ascii	"->_PTRS_PER_PMD 2048 PTRS_PER_PMD"
	#NO_APP
	#APP

	.ascii	"->_PTRS_PER_PTE 2048 PTRS_PER_PTE"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->_PAGE_SHIFT 14 PAGE_SHIFT"
	#NO_APP
	#APP

	.ascii	"->_PAGE_SIZE 16384 PAGE_SIZE"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end6:
	.size	output_mm_defines, .Lfunc_end6-output_mm_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_sc_defines
	.type	output_sc_defines,@function
output_sc_defines:                      # @output_sc_defines
# %bb.0:
	#APP

	.ascii	"->#Linux sigcontext offsets."
	#NO_APP
	#APP

	.ascii	"->SC_REGS 8 offsetof(struct sigcontext, sc_regs)"
	#NO_APP
	#APP

	.ascii	"->SC_PC 0 offsetof(struct sigcontext, sc_pc)"
	#NO_APP
	#APP

	.ascii	"->RT_SIGFRAME_SC 304 offsetof(struct rt_sigframe, rs_uctx.uc_mcontext)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end7:
	.size	output_sc_defines, .Lfunc_end7-output_sc_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_signal_defines
	.type	output_signal_defines,@function
output_signal_defines:                  # @output_signal_defines
# %bb.0:
	#APP

	.ascii	"->#Linux signal numbers."
	#NO_APP
	#APP

	.ascii	"->_SIGHUP 1 SIGHUP"
	#NO_APP
	#APP

	.ascii	"->_SIGINT 2 SIGINT"
	#NO_APP
	#APP

	.ascii	"->_SIGQUIT 3 SIGQUIT"
	#NO_APP
	#APP

	.ascii	"->_SIGILL 4 SIGILL"
	#NO_APP
	#APP

	.ascii	"->_SIGTRAP 5 SIGTRAP"
	#NO_APP
	#APP

	.ascii	"->_SIGIOT 6 SIGIOT"
	#NO_APP
	#APP

	.ascii	"->_SIGABRT 6 SIGABRT"
	#NO_APP
	#APP

	.ascii	"->_SIGFPE 8 SIGFPE"
	#NO_APP
	#APP

	.ascii	"->_SIGKILL 9 SIGKILL"
	#NO_APP
	#APP

	.ascii	"->_SIGBUS 7 SIGBUS"
	#NO_APP
	#APP

	.ascii	"->_SIGSEGV 11 SIGSEGV"
	#NO_APP
	#APP

	.ascii	"->_SIGSYS 31 SIGSYS"
	#NO_APP
	#APP

	.ascii	"->_SIGPIPE 13 SIGPIPE"
	#NO_APP
	#APP

	.ascii	"->_SIGALRM 14 SIGALRM"
	#NO_APP
	#APP

	.ascii	"->_SIGTERM 15 SIGTERM"
	#NO_APP
	#APP

	.ascii	"->_SIGUSR1 10 SIGUSR1"
	#NO_APP
	#APP

	.ascii	"->_SIGUSR2 12 SIGUSR2"
	#NO_APP
	#APP

	.ascii	"->_SIGCHLD 17 SIGCHLD"
	#NO_APP
	#APP

	.ascii	"->_SIGPWR 30 SIGPWR"
	#NO_APP
	#APP

	.ascii	"->_SIGWINCH 28 SIGWINCH"
	#NO_APP
	#APP

	.ascii	"->_SIGURG 23 SIGURG"
	#NO_APP
	#APP

	.ascii	"->_SIGIO 29 SIGIO"
	#NO_APP
	#APP

	.ascii	"->_SIGSTOP 19 SIGSTOP"
	#NO_APP
	#APP

	.ascii	"->_SIGTSTP 20 SIGTSTP"
	#NO_APP
	#APP

	.ascii	"->_SIGCONT 18 SIGCONT"
	#NO_APP
	#APP

	.ascii	"->_SIGTTIN 21 SIGTTIN"
	#NO_APP
	#APP

	.ascii	"->_SIGTTOU 22 SIGTTOU"
	#NO_APP
	#APP

	.ascii	"->_SIGVTALRM 26 SIGVTALRM"
	#NO_APP
	#APP

	.ascii	"->_SIGPROF 27 SIGPROF"
	#NO_APP
	#APP

	.ascii	"->_SIGXCPU 24 SIGXCPU"
	#NO_APP
	#APP

	.ascii	"->_SIGXFSZ 25 SIGXFSZ"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end8:
	.size	output_signal_defines, .Lfunc_end8-output_signal_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_smpboot_defines
	.type	output_smpboot_defines,@function
output_smpboot_defines:                 # @output_smpboot_defines
# %bb.0:
	#APP

	.ascii	"->#Linux smp cpu boot offsets."
	#NO_APP
	#APP

	.ascii	"->CPU_BOOT_STACK 0 offsetof(struct secondary_data, stack)"
	#NO_APP
	#APP

	.ascii	"->CPU_BOOT_TINFO 8 offsetof(struct secondary_data, thread_info)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end9:
	.size	output_smpboot_defines, .Lfunc_end9-output_smpboot_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_pbe_defines
	.type	output_pbe_defines,@function
output_pbe_defines:                     # @output_pbe_defines
# %bb.0:
	#APP

	.ascii	"->#Linux struct pbe offsets."
	#NO_APP
	#APP

	.ascii	"->PBE_ADDRESS 0 offsetof(struct pbe, address)"
	#NO_APP
	#APP

	.ascii	"->PBE_ORIG_ADDRESS 8 offsetof(struct pbe, orig_address)"
	#NO_APP
	#APP

	.ascii	"->PBE_NEXT 16 offsetof(struct pbe, next)"
	#NO_APP
	#APP

	.ascii	"->PBE_SIZE 24 sizeof(struct pbe)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end10:
	.size	output_pbe_defines, .Lfunc_end10-output_pbe_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_kvm_defines
	.type	output_kvm_defines,@function
output_kvm_defines:                     # @output_kvm_defines
# %bb.0:
	#APP

	.ascii	"->#KVM/LoongArch Specific offsets."
	#NO_APP
	#APP

	.ascii	"->VCPU_FCC 384 offsetof(struct kvm_vcpu_arch, fpu.fcc)"
	#NO_APP
	#APP

	.ascii	"->VCPU_FCSR0 392 offsetof(struct kvm_vcpu_arch, fpu.fcsr)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->KVM_VCPU_ARCH 256 offsetof(struct kvm_vcpu, arch)"
	#NO_APP
	#APP

	.ascii	"->KVM_VCPU_KVM 0 offsetof(struct kvm_vcpu, kvm)"
	#NO_APP
	#APP

	.ascii	"->KVM_VCPU_RUN 104 offsetof(struct kvm_vcpu, run)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HSP 32 offsetof(struct kvm_vcpu_arch, host_sp)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HTP 40 offsetof(struct kvm_vcpu_arch, host_tp)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HPGD 48 offsetof(struct kvm_vcpu_arch, host_pgd)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_KVMPGD 24 offsetof(struct kvm_vcpu_arch, kvm_pgd)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HANDLE_EXIT 16 offsetof(struct kvm_vcpu_arch, handle_exit)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HEENTRY 0 offsetof(struct kvm_vcpu_arch, host_eentry)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_GEENTRY 8 offsetof(struct kvm_vcpu_arch, guest_eentry)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_GPC 352 offsetof(struct kvm_vcpu_arch, pc)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_GGPR 96 offsetof(struct kvm_vcpu_arch, gprs)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HBADI 56 offsetof(struct kvm_vcpu_arch, badi)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HBADV 64 offsetof(struct kvm_vcpu_arch, badv)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HECFG 72 offsetof(struct kvm_vcpu_arch, host_ecfg)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HESTAT 80 offsetof(struct kvm_vcpu_arch, host_estat)"
	#NO_APP
	#APP

	.ascii	"->KVM_ARCH_HPERCPU 88 offsetof(struct kvm_vcpu_arch, host_percpu)"
	#NO_APP
	#APP

	.ascii	"->KVM_GPGD 2528 offsetof(struct kvm, arch.pgd)"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end11:
	.size	output_kvm_defines, .Lfunc_end11-output_kvm_defines
                                        # -- End function
	.p2align	5                               # -- Begin function output_vdso_defines
	.type	output_vdso_defines,@function
output_vdso_defines:                    # @output_vdso_defines
# %bb.0:
	#APP

	.ascii	"->#LoongArch vDSO offsets."
	#NO_APP
	#APP

	.ascii	"->__VDSO_PAGES 11 VDSO_NR_PAGES"
	#NO_APP
	#APP

	.ascii	"->"
	#NO_APP
	ret
.Lfunc_end12:
	.size	output_vdso_defines, .Lfunc_end12-output_vdso_defines
                                        # -- End function
	.ident	"clang version 20.1.8"
	.section	".note.GNU-stack","",@progbits
	.addrsig
	.addrsig_sym output_ptreg_defines
	.addrsig_sym output_task_defines
	.addrsig_sym output_thread_info_defines
	.addrsig_sym output_thread_defines
	.addrsig_sym output_thread_fpu_defines
	.addrsig_sym output_thread_lbt_defines
	.addrsig_sym output_mm_defines
	.addrsig_sym output_sc_defines
	.addrsig_sym output_signal_defines
	.addrsig_sym output_smpboot_defines
	.addrsig_sym output_pbe_defines
	.addrsig_sym output_kvm_defines
	.addrsig_sym output_vdso_defines
